import { BaseApiTemplateService } from "../shared/base-api-template-service.model";
import { HttpClient } from "@angular/common/http";
import { ApiVisa } from '../shared';
import { ApiResponseModel } from '../shared/api-response.model';
import { Observable } from 'rxjs';
export declare class WmsGrnProcessingQueueService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    insertToGrnProcessingQueue(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    insertBundledGrnProcessingQueue(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateGrnProcessingQueue(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getByCriteriaPost(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteProcessingQueueAndContainers(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    bulkContainerQtyFromProcessingQueue(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
